WESNOTHD(6)

NOM
wesnothd - Dimoni per a joc en ret multijugador de la batalla per Wesnoth

SINOPSIS
wesnothd [-dv] [-c ruta] [-p port] [-t número] [-T número]
wesnothd -V

DESCRIPCIÓ
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client (/query ...) or the fifo.

OPCIONS

-c ruta, --config ruta
    indica a wesnothd on trobar l'archiu de configuració que deu usar. Veja la secció SERVER CONFIG més avall per a coneixer la sintaxis. Pots recarregar la configuració enviant SIGHUP al proces del servidor.

-d, --daemon
    eixecuta wesnothd com dimoni.

-h, --help
    mostra les opcions de llínea d'órdens.

--log-level=domain1,domain2,...
    estableix el nivell de gravetat dels dominis de depuració. all pot usar-se per a seleccionar tots els dominis. Nivells disponibles: error,warning, info, debug. Per defecte el nivell error es usat i el nivell info per al domini server.

-p port, --port port
    conecta al servidor al port especificat. Si no s'especifica ningún port, s'usarà el port 15000.

-t número, --threads número
    estableix el número màxim de fils efectius en espera per a la entrada i eixida de ret a n (per defecte: 5, màxim: 30).

-T número, --max-threads número
    estableix el número máxim de fils efectius que es crearàn, si s'estableix a 0 no haurá ningún llímit (per defecte: 0).

-V, --version
    mostra el número de versió i finalisa.

-v, --verbose
    activa el registre de depuració

CONFIGURACIÓ DEL SERVIDOR

  La sintaxis general es:

[etiqueta]

    clau="valor"

    clau="valor,valor,..."

[/etiqueta]

  Claus globals:

ban_save_file
    Full or relative path to a (gzip compressed) file that the server can read and write. Bans will be saved to this file and read again on server start.

connections_allowed
    El número màxim de conexions permesses des de la mateixa IP. 0 significa infinit. (per defecte: 5)

disallow_names
    Noms o renoms que no esten permessos pel servidor. `*' i `?' poden usar-se com comodí. Veja glob(7) per a més detalles. Els valors per defecte (usats si no s'especifica res) son: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    El número de mensages permessos en un periode de temps definit per messages_time_period. (per defecte: 4)

messages_time_period
    El periode de temps (en segons) usat per a detectar una inundació de mensages. (per defecte: 10 segons)

motd
    El mensage del dia.

passwd
    La contrasenya utilisada per a obtindre privilegis d'administrador. Habitualment comença per `admin '.

restart_command
    The command that the server uses to start a new server process via the `restart' command. (Can only be issued via the fifo.)

versions_accepted
    Una llista separada per comes de cadenas de versió que seràn admitides pel servidor. `*' i `?' poden usar-se com comodí. (per defecte es la versió de wesnoth correspondent)
    Eixemple: versions_accepted="*" acepta qualsevol cadena de versió.

  Etiquetes globals:

[redirect] Una etiqueta per a especificar un servidor al que es redirigiràn certes versions de clients.

    host
        La direcció del servidor cap al que es farà la redirecció.

    port
        El port al que es fará la conexió.

    version
        Una llista separada per comas de les versions a redirigir. S'usa la mateixa sintaxis que per a versions_accepted respecte als comodins.

[ban_time] A tag to define convenient keywords for temporary ban time lengths.

    name
        The name used to reference the ban time.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] Una etiqueta per a indicar al servidor que actúe de proxy i reenvíe les peticions dels clients conectats al servidor especificat. Acepta les mateixes claus que [redirect].

AUTOR
Escrit per David White <davidnwhite@verizon.net>. Editat per Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> i Soliton <soliton.de@gmail.com>. Esta página de manual va ser escrita inicialment per Cyril Bouthors <cyril@bouthors.org>.
Visite la pàgina web oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Açò és Software Lliure; este software está llicenciat baix la GPL versió 2, segon ha segut publicada per la Free Software Foundation. No existix CAP garantía; ni inclús per al SEU ÚS COMERCIAL o ADECUACIÓ A UN PROPÓSIT PARTICULAR.

VEJA'S TAMBÉ
wesnoth(6), wesnoth_editor(6)